summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2020-01-14 16:58:45 +0100
committerRemi Collet <remi@remirepo.net>2020-01-14 16:58:45 +0100
commit8d3139286dc36b70cb7ff73de9ab5b372496d0b6 (patch)
tree78cbad9cd3117010e8de1bd8e33e513abe09b514
parentdffc811267cf615cc52f4bc3981dc46f4c417f69 (diff)
switch to LaminasHEADmaster
-rw-r--r--composer.json78
-rw-r--r--php-laminas-authentication.spec193
2 files changed, 149 insertions, 122 deletions
diff --git a/composer.json b/composer.json
index 2ebe04f..38d3d63 100644
--- a/composer.json
+++ b/composer.json
@@ -1,47 +1,57 @@
{
- "name": "zendframework/zend-authentication",
+ "name": "laminas/laminas-authentication",
"description": "provides an API for authentication and includes concrete authentication adapters for common use case scenarios",
"license": "BSD-3-Clause",
"keywords": [
- "zf",
- "zendframework",
+ "laminas",
"authentication"
],
+ "homepage": "https://laminas.dev",
"support": {
- "docs": "https://docs.zendframework.com/zend-authentication/",
- "issues": "https://github.com/zendframework/zend-authentication/issues",
- "source": "https://github.com/zendframework/zend-authentication",
- "rss": "https://github.com/zendframework/zend-authentication/releases.atom",
- "slack": "https://zendframework-slack.herokuapp.com",
- "forum": "https://discourse.zendframework.com/c/questions/components"
+ "docs": "https://docs.laminas.dev/laminas-authentication/",
+ "issues": "https://github.com/laminas/laminas-authentication/issues",
+ "source": "https://github.com/laminas/laminas-authentication",
+ "rss": "https://github.com/laminas/laminas-authentication/releases.atom",
+ "chat": "https://laminas.dev/chat",
+ "forum": "https://discourse.laminas.dev"
+ },
+ "config": {
+ "sort-packages": true
+ },
+ "extra": {
+ "branch-alias": {
+ "dev-master": "2.7.x-dev",
+ "dev-develop": "2.8.x-dev"
+ }
},
"require": {
"php": "^5.6 || ^7.0",
- "zendframework/zend-stdlib": "^3.2.1"
+ "laminas/laminas-stdlib": "^3.2.1",
+ "laminas/laminas-zendframework-bridge": "^1.0"
},
"require-dev": {
- "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2",
- "zendframework/zend-coding-standard": "~1.0.0",
- "zendframework/zend-crypt": "^2.6 || ^3.2.1",
- "zendframework/zend-db": "^2.8.2",
- "zendframework/zend-http": "^2.7",
- "zendframework/zend-ldap": "^2.8",
- "zendframework/zend-session": "^2.8",
- "zendframework/zend-uri": "^2.5.2",
- "zendframework/zend-validator": "^2.10.1"
+ "laminas/laminas-coding-standard": "~1.0.0",
+ "laminas/laminas-crypt": "^2.6 || ^3.2.1",
+ "laminas/laminas-db": "^2.8.2",
+ "laminas/laminas-http": "^2.7",
+ "laminas/laminas-ldap": "^2.8",
+ "laminas/laminas-session": "^2.8",
+ "laminas/laminas-uri": "^2.5.2",
+ "laminas/laminas-validator": "^2.10.1",
+ "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
},
"suggest": {
- "zendframework/zend-crypt": "Zend\\Crypt component",
- "zendframework/zend-db": "Zend\\Db component",
- "zendframework/zend-http": "Zend\\Http component",
- "zendframework/zend-ldap": "Zend\\Ldap component",
- "zendframework/zend-session": "Zend\\Session component",
- "zendframework/zend-uri": "Zend\\Uri component",
- "zendframework/zend-validator": "Zend\\Validator component"
+ "laminas/laminas-crypt": "Laminas\\Crypt component",
+ "laminas/laminas-db": "Laminas\\Db component",
+ "laminas/laminas-http": "Laminas\\Http component",
+ "laminas/laminas-ldap": "Laminas\\Ldap component",
+ "laminas/laminas-session": "Laminas\\Session component",
+ "laminas/laminas-uri": "Laminas\\Uri component",
+ "laminas/laminas-validator": "Laminas\\Validator component"
},
"autoload": {
"psr-4": {
- "Zend\\Authentication\\": "src/"
+ "Laminas\\Authentication\\": "src/"
}
},
"autoload-dev": {
@@ -49,16 +59,7 @@
"test/autoload.php"
],
"psr-4": {
- "ZendTest\\Authentication\\": "test/"
- }
- },
- "config": {
- "sort-packages": true
- },
- "extra": {
- "branch-alias": {
- "dev-master": "2.7.x-dev",
- "dev-develop": "2.8.x-dev"
+ "LaminasTest\\Authentication\\": "test/"
}
},
"scripts": {
@@ -70,5 +71,8 @@
"cs-fix": "phpcbf",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
+ },
+ "replace": {
+ "zendframework/zend-authentication": "self.version"
}
}
diff --git a/php-laminas-authentication.spec b/php-laminas-authentication.spec
index 7a27f86..b48e071 100644
--- a/php-laminas-authentication.spec
+++ b/php-laminas-authentication.spec
@@ -1,4 +1,4 @@
-# remirepo/Fedora spec file for php-zendframework-zend-authentication
+# remirepo/Fedora spec file for php-laminas-authentication
#
# Copyright (c) 2015-2020 Remi Collet
# License: CC-BY-SA
@@ -7,11 +7,13 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 1f379f6384fca34b3bfe94d953abd65e9e7ee746
+%global gh_commit 53505e07858d243792b96be763456f786d953501
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
-%global gh_owner zendframework
-%global gh_project zend-authentication
+%global gh_owner laminas
+%global gh_project laminas-authentication
+%global zf_name zend-authentication
%global php_home %{_datadir}/php
+%global namespace Laminas
%global library Authentication
%if %{bootstrap}
%global with_tests 0%{?_with_tests:1}
@@ -19,13 +21,13 @@
%global with_tests 0%{!?_without_tests:1}
%endif
-Name: php-%{gh_owner}-%{gh_project}
+Name: php-%{gh_project}
Version: 2.7.0
Release: 1%{?dist}
-Summary: Zend Framework %{library} component
+Summary: %{namespace} Framework %{library} component
License: BSD
-URL: https://zendframework.github.io/%{gh_project}/
+URL: https://github.com/%{gh_owner}/%{gh_project}
Source0: %{gh_commit}/%{name}-%{version}-%{gh_short}.tgz
Source1: makesrc.sh
@@ -40,104 +42,99 @@ BuildRequires: php-pcre
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/zend-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/zend-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "require-dev": {
-# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2",
-# "zendframework/zend-coding-standard": "~1.0.0",
-# "zendframework/zend-crypt": "^2.6 || ^3.2.1",
-# "zendframework/zend-db": "^2.8.2",
-# "zendframework/zend-http": "^2.7",
-# "zendframework/zend-ldap": "^2.8",
-# "zendframework/zend-session": "^2.8",
-# "zendframework/zend-uri": "^2.5.2",
-# "zendframework/zend-validator": "^2.10.1"
-BuildRequires: (php-autoloader(%{gh_owner}/zend-db) >= 2.8.2 with php-autoloader(%{gh_owner}/zend-db) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-crypt) >= 2.6 with php-autoloader(%{gh_owner}/zend-crypt) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-http) >= 2.7 with php-autoloader(%{gh_owner}/zend-http) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-ldap) >= 2.8 with php-autoloader(%{gh_owner}/zend-ldap) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-session) >= 2.8 with php-autoloader(%{gh_owner}/zend-session) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-uri) >= 2.5.2 with php-autoloader(%{gh_owner}/zend-uri) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-validator) >= 2.10.1 with php-autoloader(%{gh_owner}/zend-validator) < 3)
-# remirepo:18
+# "laminas/laminas-coding-standard": "~1.0.0",
+# "laminas/laminas-crypt": "^2.6 || ^3.2.1",
+# "laminas/laminas-db": "^2.8.2",
+# "laminas/laminas-http": "^2.7",
+# "laminas/laminas-ldap": "^2.8",
+# "laminas/laminas-session": "^2.8",
+# "laminas/laminas-uri": "^2.5.2",
+# "laminas/laminas-validator": "^2.10.1",
+# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-crypt) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-crypt) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-db) >= 2.8.2 with php-autoloader(%{gh_owner}/laminas-db) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-http) >= 2.7 with php-autoloader(%{gh_owner}/laminas-http) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-ldap) >= 2.8 with php-autoloader(%{gh_owner}/laminas-ldap) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-session) >= 2.8 with php-autoloader(%{gh_owner}/laminas-session) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-uri) >= 2.5.2 with php-autoloader(%{gh_owner}/laminas-uri) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.10.1 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
+# remirepo:11
%else
-BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) < 4
-BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) >= 3.2.1
-BuildRequires: php-autoloader(%{gh_owner}/zend-db) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-db) >= 2.8.2
-BuildRequires: php-autoloader(%{gh_owner}/zend-crypt) < 4
-BuildRequires: php-autoloader(%{gh_owner}/zend-crypt) >= 2.6
-BuildRequires: php-autoloader(%{gh_owner}/zend-http) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-http) >= 2.7
-BuildRequires: php-autoloader(%{gh_owner}/zend-ldap) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-ldap) >= 2.8
-BuildRequires: php-autoloader(%{gh_owner}/zend-session) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-session) >= 2.8
-BuildRequires: php-autoloader(%{gh_owner}/zend-uri) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-uri) >= 2.5.2
-BuildRequires: php-autoloader(%{gh_owner}/zend-validator) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-validator) >= 2.10.1
+BuildRequires: php-laminas-stdlib
+BuildRequires: php-laminas-zendframework-bridge
+BuildRequires: php-laminas-crypt
+BuildRequires: php-laminas-db
+BuildRequires: php-laminas-http
+BuildRequires: php-laminas-ldap
+BuildRequires: php-laminas-session
+BuildRequires: php-laminas-uri
+BuildRequires: php-laminas-validator
%endif
-# remirepo:1
-%if 0%{?fedora} >= 26 || 0%{?rhel} >= 8
%global phpunit %{_bindir}/phpunit7
-# remirepo:3
-%else
-%global phpunit %{_bindir}/phpunit6
-%endif
-BuildRequires: %{phpunit}
+BuildRequires: phpunit7 >= 7.1.2
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
# "php": "^5.6 || ^7.0",
-# "zendframework/zend-stdlib": "^3.2.1"
+# "laminas/laminas-stdlib": "^3.2.1",
+# "laminas/laminas-zendframework-bridge": "^1.0"
Requires: php(language) >= 5.6
%if ! %{bootstrap}
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/zend-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/zend-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "suggest": {
-# "zendframework/zend-db": "Zend\\Db component",
-# "zendframework/zend-crypt": "Zend\\Crypt component",
-# "zendframework/zend-http": "Zend\\Http component",
-# "zendframework/zend-ldap": "Zend\\Ldap component",
-# "zendframework/zend-session": "Zend\\Session component",
-# "zendframework/zend-uri": "Zend\\Uri component",
-# "zendframework/zend-validator": "Zend\\Validator component"
-Suggests: php-autoloader(%{gh_owner}/zend-db)
-Suggests: php-autoloader(%{gh_owner}/zend-crypt)
-Suggests: php-autoloader(%{gh_owner}/zend-http)
-Suggests: php-autoloader(%{gh_owner}/zend-ldap)
-Suggests: php-autoloader(%{gh_owner}/zend-session)
-Suggests: php-autoloader(%{gh_owner}/zend-uri)
-Suggests: php-autoloader(%{gh_owner}/zend-validator)
+# "laminas/laminas-crypt": "Laminas\\Crypt component",
+# "laminas/laminas-db": "Laminas\\Db component",
+# "laminas/laminas-http": "Laminas\\Http component",
+# "laminas/laminas-ldap": "Laminas\\Ldap component",
+# "laminas/laminas-session": "Laminas\\Session component",
+# "laminas/laminas-uri": "Laminas\\Uri component",
+# "laminas/laminas-validator": "Laminas\\Validator component"
+Suggests: php-autoloader(%{gh_owner}/laminas-crypt)
+Suggests: php-autoloader(%{gh_owner}/laminas-db)
+Suggests: php-autoloader(%{gh_owner}/laminas-http)
+Suggests: php-autoloader(%{gh_owner}/laminas-ldap)
+Suggests: php-autoloader(%{gh_owner}/laminas-session)
+Suggests: php-autoloader(%{gh_owner}/laminas-uri)
+Suggests: php-autoloader(%{gh_owner}/laminas-validator)
# remirepo:4
%else
-Requires: php-autoloader(%{gh_owner}/zend-stdlib) >= 3.2.1
-Requires: php-autoloader(%{gh_owner}/zend-stdlib) < 4
+Requires: php-laminas-stdlib
+Requires: php-laminas-zendframework-bridge
%endif
%endif
# Autoloader
Requires: php-composer(fedora/autoloader)
-# From phpcompatinfo report for version 2.5.2
+# From phpcompatinfo report for version 2.7.0
Requires: php-ctype
Requires: php-date
Requires: php-hash
Requires: php-pcre
Requires: php-spl
-Obsoletes: php-ZendFramework2-%{library} < 2.5
-Provides: php-ZendFramework2-%{library} = %{version}
-Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
+Obsoletes: php-ZendFramework2-%{library} < 2.5
+Provides: php-ZendFramework2-%{library} = %{version}
+# Compatibily ensure by the bridge
+Obsoletes: php-zendframework-%{zf_name} < 2.7.0-99
+Provides: php-zendframework-%{zf_name} = %{version}-99
+Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
+Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
+Provides: php-autoloader(zendframework/%{zf_name}) = %{version}
%description
-The Zend\Authentication component provides an API for authentication and
+The %{namespace}\\Authentication component provides an API for authentication and
includes concrete authentication adapters for common use case scenarios.
-Documentation: https://zendframework.github.io/%{gh_project}/
+Documentation: https://docs.laminas.dev/%{gh_project}/
%prep
@@ -151,23 +148,37 @@ mv LICENSE.md LICENSE
phpab --template fedora --output src/autoload.php src
cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
- '%{php_home}/Zend/Stdlib/autoload.php',
+ '%{php_home}/%{namespace}/Stdlib/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
- '%{php_home}/Zend/Db/autoload.php',
- '%{php_home}/Zend/Crypt/autoload.php',
- '%{php_home}/Zend/Http/autoload.php',
- '%{php_home}/Zend/Ldap/autoload.php',
- '%{php_home}/Zend/Session/autoload.php',
- '%{php_home}/Zend/Uri/autoload.php',
- '%{php_home}/Zend/Validator/autoload.php',
+ '%{php_home}/%{namespace}/Db/autoload.php',
+ '%{php_home}/%{namespace}/Crypt/autoload.php',
+ '%{php_home}/%{namespace}/Http/autoload.php',
+ '%{php_home}/%{namespace}/Ldap/autoload.php',
+ '%{php_home}/%{namespace}/Session/autoload.php',
+ '%{php_home}/%{namespace}/Uri/autoload.php',
+ '%{php_home}/%{namespace}/Validator/autoload.php',
+]);
+EOF
+
+cat << 'EOF' | tee zf.php
+<?php
+require_once '%{php_home}/Fedora/Autoloader/autoload.php';
+\Fedora\Autoloader\Dependencies::required([
+ '%{php_home}/%{namespace}/ZendFrameworkBridge/autoload.php',
+ dirname(dirname(__DIR__)) . '/%{namespace}/%{library}/autoload.php',
]);
EOF
%install
-mkdir -p %{buildroot}%{php_home}/Zend/
-cp -pr src %{buildroot}%{php_home}/Zend/%{library}
+: Laminas library
+mkdir -p %{buildroot}%{php_home}/%{namespace}/
+cp -pr src %{buildroot}%{php_home}/%{namespace}/%{library}
+
+: Zend equiv
+mkdir -p %{buildroot}%{php_home}/Zend/%{library}
+cp -pr zf.php %{buildroot}%{php_home}/Zend/%{library}/autoload.php
%check
@@ -175,12 +186,19 @@ cp -pr src %{buildroot}%{php_home}/Zend/%{library}
mkdir vendor
cat << 'EOF' | tee vendor/autoload.php
<?php
-require_once '%{buildroot}%{php_home}/Zend/%{library}/autoload.php';
-\Fedora\Autoloader\Autoload::addPsr4('ZendTest\\%{library}\\', dirname(__DIR__) . '/test');
+require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/autoload.php';
+\Fedora\Autoloader\Autoload::addPsr4('%{namespace}Test\\%{library}\\', dirname(__DIR__) . '/test');
EOF
+: check compat autoloader
+php -r '
+require "%{buildroot}%{php_home}/Zend/%{library}/autoload.php";
+exit (class_exists("\\Zend\\%{library}\\Result") ? 0 : 1);
+'
+
+: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" "php70 %{_bindir}/phpunit6" php71 php72; do
+for cmdarg in "php %{phpunit}" php72 php73 php74; do
if which $cmdarg; then
set $cmdarg
$1 ${2:-%{_bindir}/phpunit7} || ret=1
@@ -193,14 +211,19 @@ exit $ret
%files
+# remirepo:1
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
%doc composer.json
%{php_home}/Zend/%{library}
+%{php_home}/%{namespace}/%{library}
%changelog
+* Tue Jan 14 2020 Remi Collet <remi@remirepo.net> - 2.8.0-1
+- switch to Laminas
+
* Wed May 15 2019 Remi Collet <remi@remirepo.net> - 2.7.0-1
- update to 2.7.0
- raise dependency on zend-stdlib 3.2.1